// gnome.xonotic.in.ua

models/trees/tree1/branch_t
{
	surfaceparm alphashadow
	cull none
	nopicmip
	nomipmaps
	deformvertexes wave 5 sin 0 .3 0 .3
	{
		map models/trees/tree1/branch_t.tga
		alphafunc ge128
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		depthwrite
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
		rgbgen vertex
	}
}

models/trees/tree2/bark3_512
{
	{
		map models/trees/tree2/bark3_512.tga
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
		rgbgen vertex
	}
}

models/trees/tree3/branch_orange
{
	surfaceparm alphashadow
	cull none
	nopicmip
	nomipmaps
	deformvertexes wave 5 sin 0 .3 0 .3
	{
		map models/trees/tree3/branch_orange.tga
		alphafunc ge128
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		depthwrite
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
		rgbgen vertex
	}
}

models/weapons2/sr8/back
{
	nomipmaps
	{
		map models/weapons2/sr8/back.tga
		rgbgen lightingdiffuse
	}
	{
		map gfx/misc/specdotdocks3.jpg
		tcgen environment
		rgbgen lightingdiffuse
		tcmod entitytranslate
		blendfunc gl_one gl_one
	}
	{
		map models/weapons2/sr8/back.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen lightingdiffuse
	}
}

models/weapons2/sr8/barrel
{
	nomipmaps
	{
		map models/weapons2/sr8/barrel.tga
		rgbgen lightingdiffuse
	}
	{
		map gfx/misc/specdot2b.jpg
		tcgen environment
		rgbgen lightingdiffuse
		tcmod entitytranslate
		blendfunc gl_one gl_one
	}
	{
		map models/weapons2/sr8/barrel.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen lightingdiffuse
	}
}

models/weapons2/sr8/base
{
	nomipmaps
	{
		map models/weapons2/sr8/base.tga
		rgbgen lightingdiffuse
	}
	{
		map gfx/misc/specdotdocks3.jpg
		tcgen environment
		rgbgen lightingdiffuse
		tcmod entitytranslate
		blendfunc gl_one gl_one
	}
	{
		map models/weapons2/sr8/base.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen lightingdiffuse
	}
}

models/weapons2/sr8/scope
{
	nomipmaps
	{
		map models/weapons2/sr8/scope.tga
		rgbgen lightingdiffuse
	}
	{
		map gfx/misc/specdotdocks3.jpg
		tcgen environment
		rgbgen lightingdiffuse
		tcmod entitytranslate
		blendfunc gl_one gl_one
	}
	{
		map models/weapons2/sr8/scope.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen lightingdiffuse
	}
}

models/weapons2/sr8/scpmt
{
	nomipmaps
	{
		map models/weapons2/sr8/scpmt.tga
		rgbgen lightingdiffuse
	}
	{
		map gfx/misc/specdotcasa.jpg
		tcgen environment
		rgbgen lightingdiffuse
		tcmod entitytranslate
		blendfunc gl_one gl_one
	}
	{
		map models/weapons2/sr8/scpmt.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen lightingdiffuse
	}
}

textures/base_floor/clangfloor_noisy
{
	qer_editorimage textures/base_floor/clang_floor.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_floor/clang_floor.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/bbq/barbedwire
{
	qer_editor_image textures/bbq/barbedwire.tga
	cull disable
	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm nonsolid
	{
		map textures/bbq/barbedwire.tga
		alphafunc ge128
		rgbgen vertex
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/common/botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
}

textures/common/ladder
{
	qer_editorimage textures/common/ladder.jpg
	qer_trans .40
	surfaceparm ladder
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/watercaulk
{
	surfaceparm water
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodraw
}

textures/glass/chrome
{
	qer_editorimage textures/glass/chrome.tga
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm detail
	surfaceparm trans
	cull disable
	qer_trans 0.5
	{
		map textures/glass/chrome.tga
		blendfunc add
		tcgen environment
	}
}

textures/liquids/clear_calm1
{
	qer_editorimage textures/liquids/pool3d_3e.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformvertexes wave 64 sin .25 .25 0 .5
	{
		map textures/liquids/pool3d_5e.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{
		map textures/liquids/pool3d_3e.tga
		blendfunc gl_dst_color gl_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/liquids/clear_ripple3
{
	qer_editorimage textures/liquids/pool3d_3c.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformvertexes wave 64 sin .5 .5 0 .5
	{
		map textures/liquids/pool3d_5c.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{
		map textures/liquids/pool3d_6c.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{
		map textures/liquids/pool3d_3c.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/urbanq3_misc2/fan3bladeb
{
	cull disable
	surfaceparm trans
	surfaceparm nolightmap
	sort 5
	{
		clampmap textures/urbanq3_misc2/fan3bladeb.tga
		blendfunc blend
		tcmod rotate 999
		rgbgen identity
	}
}

textures/urban_terror2/metal
{
	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbgen identity
	}
	{
		map textures/urban_terror2/metal.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/urban_terror2/metal_bright
{
	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbgen identity
	}
	{
		map textures/urban_terror2/metal_bright.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/urban_terror3/chain
{
	surfaceparm metalsteps
	cull none
	{
		map textures/urban_terror3/chain.tga
		tcmod scale 1.0 1.0
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		depthfunc equal
		rgbgen identity
	}
}

textures/urban_terror3/glass_clear
{
	qer_editorimage textures/effects/tinfx.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendfunc gl_one gl_one
	}
}

textures/urban_terror3/nrg_vattenkran
{
	surfaceparm nonsolid
	qer_editorimage textures/urban_terror/concrete4
	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbgen identity
	}
	{
		map textures/urban_terror/concrete4.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/urban_terror/clang_floor_light
{
	qer_editorimage textures/urban_terror/clang_floor.jpg
	q3map_lightimage textures/base_light/border11light.blend.tga
	light 1
	q3map_surfacelight 180
	{
		map textures/urban_terror/clang_floor.tga
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbgen identity
	}
}

textures/urban_terror/ladderclip
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
}

textures/urban_terror/swim_sky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 1 1 .8 6 180 60
	q3map_surfacelight 20
	q3map_globaltexture
	q3map_lightsubdivide 512
	skyparms env/arcn 256 -
}

textures/ut_prague/waterfall
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/ut_prague/waterfall.tga
		tcmod scroll .5 4
		blendfunc gl_one gl_one
	}
}

textures/ut_subway/glass3_blur
{
	qer_editorimage textures/ut_subway/glass1.tga
	surfaceparm alphashadow
	surfaceparm trans
	qer_trans 0.5
	surfaceparm trans
	{
		map textures/ut_subway/glass1.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen vertex
	}
}

textures/ut_subway/laelite01
{
	qer_editorimage textures/ut_subway/sublight01.tga
	q3map_surfacelight 9000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ut_subway/sublight01.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/ut_subway/sublight01_glow.tga
		blendfunc gl_one gl_one
	}
}

textures/ut_swim/black_shiny
{
	{
		map textures/ut_swim/shiny_env.tga
		rgbgen identity
		tcgen environment
		tcmod scale .5 .5
	}
	{
		map textures/ut_swim/black_shiny.tga
		blendfunc gl_zero gl_one
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/ut_swim/ceiling_light1
{
	qer_editorimage textures/ut_swim/ceiling_light1.tga
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ut_swim/ceiling_light1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/ut_swim/ceiling_light1_blend.tga
		blendfunc gl_one gl_one
	}
	{
		map textures/ut_swim/ceiling_light1_grid.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
}

textures/ut_swim/watercaulk
{
	qer_editorimage textures/common/watercaulk.jpg
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
}

textures/ut_turnpike/will_fence_chainlink
{
	surfaceparm trans
	cull none
	nopicmip
	{
		map textures/ut_turnpike/will_fence_chainlink.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

